version: 2

before:
  hooks:
    - go mod tidy
    - go generate ./...

builds:
  - env:
      - CGO_ENABLED=0
    goos:
      - linux
      - darwin
      - windows
    goarch:
      - amd64
      - arm64

archives:
  - formats: [tar.gz]
    # this name template makes the OS and Arch compatible with the results of `uname`.
    name_template: >-
      {{ .ProjectName }}_
      {{- title .Os }}_
      {{- if eq .Arch "amd64" }}x86_64
      {{- else if eq .Arch "386" }}i386
      {{- else }}{{ .Arch }}{{ end }}
      {{- if .Arm }}v{{ .Arm }}{{ end }}
    # use zip for windows archives
    format_overrides:
      - goos: windows
        formats: [zip]

changelog:
  abbrev: 10
  filters:
    exclude:
      - "^docs:"
      - "^test:"
  format: "{{.SHA}}: {{.Message}}"
  groups:
    - title: Features
      regexp: '^.*?feat(\([[:word:]]+\))??!?:.+$'
      order: 0
    - title: "Bug fixes"
      regexp: '^.*?fix(\([[:word:]]+\))??!?:.+$'
      order: 1
    - title: "Chores"
      regexp: '^.*?chore(\([[:word:]]+\))??!?:.+$'
      order: 2
    - title: Others
      order: 999
  sort: asc

release:
  gitea:
    owner: DevFW-CICD
    name: edge-connect-client

force_token: gitea
gitea_urls:
  api: https://edp.buildth.ing/api/v1
  download: https://edp.buildth.ing
  # set to true if you use a self-signed certificate
  skip_tls_verify: false
